basic_socket.hpp File Reference

Common interface for claw::net::basic_socketbuf and claw::net::socket_server. More...

`#include <string>`
`#include <claw/socket_traits.hpp>`

Go to the source code of this file.

## Classes

class | claw::net::basic_socket
| Common interface for claw::net::basic_socketbuf and claw::net::socket_server. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::net
| Network communications.

## Detailed Description

Common interface for claw::net::basic_socketbuf and claw::net::socket_server.

Author
  Julien Jorge

Definition in file basic_socket.hpp.